+ Responder ao Tópico



  1. #1
    snoopyy
    Visitante

    Padrão FIrefox 2.0

    Tenho o firefox 1.5 instalado em meu pc, e gostaria de usar o 2.0 . Ja baixei o arquivo do site da mozilla, mais estou com duvidas durante a instalacao. COmo o arquivo vem no formato .tar.gz, queria saber como faço para instalar:

    1 - E qual diretorio descompactar
    2 - Como torná-lo meu navegador padrao (ao instalar, quero que o 1.5 nao fique mais no pc )

    uso ubuntu

  2. #2

    Padrão

    bom....



    removendo o firefox 1.5


    apt-get remove firefox*

    supongdo que o arquivo do firefox esteja no /home
    cd /home/joselito
    mv firefox.tar.gz /opt

    cd /opt

    tar -xzvf firefox.tar.gz
    cd firefox
    ln -s firefox /bin/firefox


    good luck!!!



  3. #3

    Padrão

    se vc atualizar para o ubuntu edgy...vc naun tera que instalar manualmente o firefox.

  4. #4
    snoopyy
    Visitante

    Padrão

    cara...fiz os passos q vc falou , mais na hora de executar o navegador da o erro:

    firefox: error while loading shared libraries: libmozjs.so: cannot open shared object file: No such file or directory


    o que pode ser agora ?



  5. #5

    Padrão

    isso acontrece pq o executavel do firefox naun encontrou essa biblioteca.

    cd /opt/firefox

    ls -l

    procura por esse arquivo que está dando erro:se ele tiver aih faça o seguinte:
    para realizar este passo,vc deve estar com o console aberto no modo grafico:
    chmod +rx * (soh por desencargo de consciencia)
    ./firefox

    se abrir o firefox,vc fez alguma coisa errada aih,por exemplo naun removeu totalmente a instalação anterior.se não abrir e der o mesmo erro,faça o seguinte:


    updatedb (isso pode demorar um pouco)

    locate libmozjs.so

    vai aparecer algo assimpelo menos no meu apareceu)

    /usr/lib/firefox/libmozjs.so
    /usr/lib/mozilla-thunderbird/libmozjs.so
    /opt/firefox/libmozjs.so


    aih vc cria um link simbolico(com aquelecomando ln que eu te passei no post anterior) dentro do /opt/firefox

  6. #6

    Padrão

    novamente..se vc atualizar para o ubuntu edgy,vc naun precisa fazer isso...pq vc naun atualiza?



  7. #7
    snoopyy
    Visitante

    Padrão

    valeu cara...era so permissao mesmo.ta funcionando agora ! obrigado

  8. #8

    Padrão

    Amigo so uma dica como vc usa ubuntu, recomendo sempre instalar e desistalar programas pelo apt, primeiro pq vc poupa trabalho de buscar dependencias e tals, e segundo pq mantem um sistema mais estavel, já que as dependencias são resolvidas na hora e o sistema sempre funciona com a versão mais correta dos aplicativos.

    falows



  9. #9

    Padrão

    por isso que sugeri a migração para o edgy...